Issue1903

classification
Title: Port Jython to ANTLR 4.2
Type: Severity: normal
Components: Versions: Jython 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: Arfrever, ReneLeonhardt, fwierzbicki, zyasoft
Priority: low Keywords:

Created on 2012-05-28.01:09:33 by Arfrever, last changed 2014-09-26.05:21:30 by zyasoft.

Messages
msg7160 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-05-28.01:09:33
I suggest to port Jython from ANTLR 3.1.3 to 3.4.
msg7567 (view) Author: (ReneLeonhardt) Date: 2013-01-09.12:55:06
Please upgrade to ANTLR 3.5 if possible, as that is the base version for the upcoming ANTLR 4:
http://www.antlr.org/wiki/display/ANTLR3/ANTLR+3.5+Release+Notes
http://www.antlr4.org/download.html
msg7605 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2013-02-02.00:48:06
ANTLR 4.0 was released on 2013-01-22.
msg7607 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-02-02.20:50:47
This is going to be a tough one - I tried to upgrade from 3.1 to some 3.x a year or so ago and it caused widespread failures. I suspect it would take at least a full week of work (perhaps more) to work through the issues. I may find time before a final release for this, but it will definitely have to wait until after the first beta.
msg7608 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-02-02.20:51:30
*Ultimately* I plan to do this - but it may end up being a 3.x feature that gets backported to a future 2.7.x.
msg8560 (view) Author: Jim Baker (zyasoft) Date: 2014-05-22.02:36:11
Not part of 2.7.0, that's for certain!

We should definitely revisit at some point, Antlr 4 has some awesome new functionality.
msg8564 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2014-05-22.10:41:58
ANTLR 4.1 was released on 2013-07-01.
ANTLR 4.2 was released on 2014-02-05.
msg9042 (view) Author: Jim Baker (zyasoft) Date: 2014-09-26.05:21:30
Jython 3.x
History
Date User Action Args
2014-09-26 05:21:30zyasoftsetpriority: normal -> low
messages: + msg9042
2014-05-22 10:41:58Arfreversetmessages: + msg8564
title: Port Jython to ANTLR 4.0 -> Port Jython to ANTLR 4.2
2014-05-22 02:36:11zyasoftsetnosy: + zyasoft
messages: + msg8560
2013-02-20 18:21:25fwierzbickisetversions: + Jython 2.7
2013-02-02 20:51:30fwierzbickisetpriority: normal
assignee: fwierzbicki
messages: + msg7608
2013-02-02 20:50:47fwierzbickisetmessages: + msg7607
2013-02-02 00:48:06Arfreversetnosy: + fwierzbicki
messages: + msg7605
title: Port Jython to ANTLR 3.5 -> Port Jython to ANTLR 4.0
2013-01-09 12:55:07ReneLeonhardtsetnosy: + ReneLeonhardt
messages: + msg7567
title: Port Jython to ANTLR 3.4 -> Port Jython to ANTLR 3.5
2012-05-28 01:09:33Arfrevercreate